VismaBouwsoftAPICalls.v1_POST_VATCodes Method
v1_POST_VATCodes() as String

This API call is used to add a(n) VATCode

General Description

HTTP method API version
POST v1

Don’t forget to put the Authorization field in the header

API Path: /VATCodes
or

Fields

The following fields are available:

Field Name Type Id Type Name Length Required Writeable Force Write Link
code 2 tpString 5 Yes Yes No
percent 13 tpPercent 0 No Yes No
co_contractor 5 tpBool 0 No Yes No
description_nl 2 tpString 250 No Yes No
description_en 2 tpString 250 No Yes No
description_fr 2 tpString 250 No Yes No
description_localized 2 tpString 250 No No No

/VATCodes

API Path: /VATCodes/

If everything succeeds the HTTP response status is 201
(201 CREATED)

If you forget to send the Authorization, the response status and code is 401
(401 Unauthorized)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/VATCodes

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: klOfWxfPDtzSfffGjfzRqOkIfkrtGfkjfttbzOmOmlUffkbjtt

Query Parameters :
ParameterName: columns, ParameterValue: code=’6N’,percent=6,co_contractor=False

Success gives statuscode 201 And the following result

{“RecordChanges”: [
  {
    "id": 40,
    "code": "6N",
    "percent": 6,
    "co_contractor": false,
    "description_nl": "",
    "description_en": "",
    "description_fr": "",
    "description_localized": ""
  }
]
}